IF EXISTS (SELECT 1 FROM SYS.PROCEDURES WHERE NAME ='P_SP_RECOMPILE')
    BEGIN
	   DROP PROCEDURE P_SP_RECOMPILE
    END
GO
CREATE PROCEDURE P_SP_RECOMPILE
AS 
SET NOCOUNT ON 
BEGIN
    EXEC SP_RECOMPILE P_EST_PROD_CPL_EXTRATO
    EXEC SP_RECOMPILE TST_EST_PED_CP_STATUS
	EXEC sp_recompile P_PDV_VD_CONVENIO_FECHA_CONV
	EXEC sp_recompile P_PDV_VD_VENDAS_DESCONTOS_ARV_MERC
END